/**
 *  @author    DeoTemplate <deotemplate@gmail.com>
 *  @copyright by DeoTemplate
 *  @license   http://deotemplate.com - prestashop template provider
 */

window.lazySizesConfig = window.lazySizesCfg || {};
window.lazySizesConfig.loadMode = 1;
window.lazySizesConfig.loadHidden = false;
window.lazySizesConfig.init = false;
window.lazySizesConfig.callbackLazy = function(elem){
  if ($(elem).hasClass('lazyload-bg')){
    let src = $(elem).attr('data-bgset');
    $(elem).css('background-image', 'url('+src+')');
    $(elem).removeClass('lazyload').addClass('lazyloaded');
    $(elem).find('.lazyload-background').first().remove();
  }else{
    let src = $(elem).attr('data-src');
    // $(elem).attr('src', src);
    $(elem).removeAttr('data-src');
    $(elem).css("display", "");
    $(elem).removeClass('lazyload').addClass('lazyloaded');
    $(elem).prev('.lazyload-wrapper').remove();
  }
};